function onBegin()
    disableMovement()
    run(100)
    say("irrend")
    choiceDialog({
        -- The most basic dialog choice.
        -- The dialog key DIALOG_1 will be used for displaying the choice, 
        -- then when you choose it, the dialog DIALOG_1_SAY will be shown.
        { "Yes" },
        { "Q1" },
        { "Q2" },
        { "Q3" },
        { "Q4" },
        {
            -- this choice will still display a dialog like normal, but also run code in 'onEnd' after the dialog finishes.
            "End",
            onEnd = function ()
                -- call this function to close the choice dialog and allow the cutscene to continue.
                closeChoiceDialog()
            end
        }
    })
end

function onEnd()
    enableMovement()
  end